> For the complete documentation index, see [llms.txt](https://api-docs.disasteraware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.disasteraware.com/products-1/product-types.md).

# Requesting Product Types

## Get product types

<mark style="color:blue;">`GET`</mark> `https://api.disasteraware.com/products/types`

#### Headers

| Name          | Type   | Description                  |
| ------------- | ------ | ---------------------------- |
| Authorization | string | Authorize to access the API. |

{% tabs %}
{% tab title="200 " %}

```
[
    {
        "type": "FOLDER_PRODUCT",
        "description": "Termination"
    },
    {
        "type": "FILE_PRODUCT",
        "description": "Products of this type have an associated multi-media file e.g. PDF, Word Document, associated to them."
    },
    {
        "type": "TEXT_PRODUCT",
        "description": "These products have a text field that contains a message."
    },
    {
        "type": "URL_PRODUCT",
        "description": "These products are hyperlinks to external resources e.g. a web page."
    }
]
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
See [Authorizing Requests](/authentication/authorizing-requests.md#get-accesstoken-and-refreshtoken) page to get your accessToken.
{% endhint %}

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request GET \
  'https://api.disasteraware.com/products/types'
```

{% endtab %}

{% tab title="Java" %}

```
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.util.Scanner;

class Main {

	public static void main(String[] args) throws IOException {
		URL url = new URL("https://api.disasteraware.com/products/types");
		HttpURLConnection httpConn = (HttpURLConnection) url.openConnection();
		httpConn.setRequestMethod("GET");

		InputStream responseStream = httpConn.getResponseCode() / 100 == 2
				? httpConn.getInputStream()
				: httpConn.getErrorStream();
		Scanner s = new Scanner(responseStream).useDelimiter("\\A");
		String response = s.hasNext() ? s.next() : "";
		System.out.println(response);
	}
}

```

{% endtab %}

{% tab title="Node.js" %}

```
var fetch = require('node-fetch');

fetch('https://api.disasteraware.com/products/types');

```

{% endtab %}

{% tab title="PHP" %}

```
<?php
include('vendor/rmccue/requests/library/Requests.php');
Requests::register_autoloader();
$headers = array();
$response = Requests::get('https://api.disasteraware.com/products/types', $headers);

```

{% endtab %}

{% tab title="Python" %}

```
import requests

response = requests.get('https://api.disasteraware.com/products/types')

```

{% endtab %}
{% endtabs %}

A product will come in one of the four following types:

| Types               | Definitions                                                                                                    |
| ------------------- | -------------------------------------------------------------------------------------------------------------- |
| **FOLDER\_PRODUCT** | These products are used to organize products into logical hierarchies in the DisasterAWARE client application. |
| **FILE\_PRODUCT**   | Products of this type have an associated multi-media file e.g. PDF, Word Document, associated with them.       |
| **TEXT\_PRODUCT**   | These products have a text field that contains a message.                                                      |
| **URL\_PRODUCT**    | These products are hyperlinks to external resources e.g. a web page.                                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.disasteraware.com/products-1/product-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
